--- foo2zjs-20090301dfsg.orig/debian/foo2zjs-icc2ps.1
+++ foo2zjs-20090301dfsg/debian/foo2zjs-icc2ps.1
@@ -0,0 +1,32 @@
+.\"                                      Hey, EMACS: -*- nroff -*-
+.\" First parameter, NAME, should be all caps
+.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
+.\" other parameters are allowed: see man(7), man(1)
+.TH FOO2ZJS-ICC2PS 1 "November  20, 2005"
+.SH NAME
+foo2zjs-icc2ps \- part of the printer driver foo2zjs
+.SH SYNOPSIS
+.B foo2zjs-icc2ps [flags] [output file]
+.SH DESCRIPTION
+.B foo2zjs-icc2ps
+generates PostScript CRD or CSA from ICC profiles.
+If no file is given, output goes to stdout.
+You can specify by -i or -o the desired profile(s).
+Devicelink profiles are accepted as long as input
+for CRD / output for CSA were XYZ or Lab.
+.PP
+.SH Flags
+.TP
+.B \-i<profile>
+Input profile: Generates Color Space Array (CSA)
+.TP
+.B \-o<profile>
+Output profile: Generates Color Rendering Dictionary (CRD)
+.TP
+.B \-t<0,1,2,3>
+Intent (0=Perceptual, 1=Colorimetric, 2=Saturation, 3=Absolute)
+.SH AUTHOR
+foo2zjs-icc2ps was written by Rick Richardson <rickr@mn.rr.com> .
+.PP
+This manual page was written by Steffen Joeris <steffen.joeris@skolelinux.de>,
+for the Debian project (but may be used by others).
--- foo2zjs-20090301dfsg.orig/debian/svn-deblayout
+++ foo2zjs-20090301dfsg/debian/svn-deblayout
@@ -0,0 +1,3 @@
+origDir=../upstream
+origUrl=svn+ssh://svn.debian.org/svn/foo2zjs/trunk/foo2zjs_20061224/upstream
+tagsUrl=svn+ssh://svn.debian.org/svn/foo2zjs/tags/foo2zjs_20061224
--- foo2zjs-20090301dfsg.orig/debian/compat
+++ foo2zjs-20090301dfsg/debian/compat
@@ -0,0 +1 @@
+5
--- foo2zjs-20090301dfsg.orig/debian/watch
+++ foo2zjs-20090301dfsg/debian/watch
@@ -0,0 +1 @@
+# We track foo2zjs SVN revisions, thus no need for a watch file.
--- foo2zjs-20090301dfsg.orig/debian/copyright
+++ foo2zjs-20090301dfsg/debian/copyright
@@ -0,0 +1,68 @@
+This package was debianized by Chris Lawrence <lawrencc@debian.org> on
+Tue, 27 May 2003 16:03:54 -0500.
+
+It was downloaded from http://foo2zjs.rkkda.com/foo2zjs.tar.gz
+
+Upstream Authors: Rick Richardson <rick.richardson@comcast.net>
+		  Main Developer
+		  
+		  Gerhard Fuernkranz Copyright (C) 2004
+		  List of files:
+crd/prolog.ps
+		  
+		  Marti Maria Copyright (C) 1998-2001
+		  List of files:
+icc2ps/cmscam97.c
+icc2ps/cmscnvrt.c
+icc2ps/cmserr.c
+icc2ps/cmsgamma.c
+icc2ps/cmsgmt.c
+icc2ps/cmsintrp.c
+icc2ps/cmsio1.c
+icc2ps/cmslut.c
+icc2ps/cmsmatsh.c
+icc2ps/cmsmtrx.c
+icc2ps/cmsnamed.c
+icc2ps/cmspack.c
+icc2ps/cmspcs.c
+icc2ps/cmsps2.c
+icc2ps/cmssamp.c
+icc2ps/cmswtpnt.c
+icc2ps/cmsxform.c
+icc2ps/icc2ps.c
+icc2ps/lcms.
+		 
+		  SunSoft, Inc. Copyright (c) 1994-1996
+		  List of files:
+icc2ps/icc34.h
+
+		  Steffen Joeris Copyright (c) 2007
+		  List of files:
+debian/hannah-package/*
+
+The rest of the debian packaging is also licensed under the
+GPL v. 2 as listed below.
+
+Copyright:
+
+   This package is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; version 2 dated June, 1991.
+
+   This package is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+   GNU General Public License for more details.
+
+On Debian systems, the complete text of the GNU General
+Public License can be found in `/usr/share/common-licenses/GPL-2'.
+
+PATENTS
+It is possible that certain products which can be built using the jbig
+software module might form inventions protected by patent rights in
+some countries (e.g., by patents about arithmetic coding algorithms
+owned by IBM and AT&T in the USA). Provision of this software by the
+author does NOT include any licences for any patents. In those
+countries where a patent licence is required for certain applications
+of this software module, you will have to obtain such a licence
+yourself.
--- foo2zjs-20090301dfsg.orig/debian/foo2zjs.dirs
+++ foo2zjs-20090301dfsg/debian/foo2zjs.dirs
@@ -0,0 +1,7 @@
+usr/bin
+usr/sbin
+usr/share/applications
+usr/share/foo2zjs/tmp
+usr/share/man/man1
+usr/share/pixmaps
+usr/share/ppd
--- foo2zjs-20090301dfsg.orig/debian/hannah-foo2zjs.menu
+++ foo2zjs-20090301dfsg/debian/hannah-foo2zjs.menu
@@ -0,0 +1,6 @@
+?package(hannah-foo2zjs):\
+    needs="X11"\
+    section="Applications/System/Administration"\
+    title="Hannah-foo2zjs"\
+    longtitle="Foo2ZJS Firmware Installer (Hannah)"\
+    command="/usr/bin/su-to-root -X -c /usr/bin/hannah-foo2zjs"
--- foo2zjs-20090301dfsg.orig/debian/README.Debian
+++ foo2zjs-20090301dfsg/debian/README.Debian
@@ -0,0 +1,28 @@
+foo2zjs for Debian
+---------------
+
+Please understand that I had to delete some files which the author is
+still providing, because I got no source code for them.
+This is necessary to get the package into Debian main.
+If you really need these programs, please freel free to download
+them from http://foo2zjs.rkkda.com/foo2zjs.tar.gz on your own risk.
+In addition to that I also deleted all  binary files (.e.g. .icm).
+(Type "wget http://foo2zjs.rkkda.com/foo2zjs.tar.gz").
+Then run the following commands:
+
+tar -xvvzf foo2zjs.tar.gz
+cd foo2zjs
+make
+
+Some printers need additional firmware to be installed. For downloading and
+installing the right firmware for your printer, you can use the Foo2ZJS
+firmware downloader and installer (codename Hannah). You will find it in
+your Desktop Menu or by running the command "hannah-foo2zjs" as the root
+user. Note that "hannah-foo2zjs" is not part of the "foo2zjs" package but
+in its own package also called "hannah-foo2zjs".
+
+It's also possible to use a pure command line tool called "getweb". This
+tools allows download and installation without using a graphical user
+interface, e.g. on servers.
+
+-- Steffen Joeris <white@debian.org>  Sat, 29 Sep 2007 01:40:18 +1000
--- foo2zjs-20090301dfsg.orig/debian/control
+++ foo2zjs-20090301dfsg/debian/control
@@ -0,0 +1,36 @@
+Source: foo2zjs
+Section: text
+Priority: optional
+Maintainer: Debian Foo2zjs Maintainers <foo2zjs-maintainer@lists.alioth.debian.org>
+Uploaders: Luca Bedogni <me@lucabedogni.it>, Michael Koch <konqueror@gmx.de>, Steffen Joeris <white@debian.org>, Luca Capello <luca@pca.it>
+Build-Depends: debhelper (>= 5), ghostscript, dpatch, foomatic-filters, libcups2-dev, libqt4-dev
+Standards-Version: 3.8.2
+Homepage: http://foo2zjs.rkkda.com/
+Vcs-Svn: svn://svn.debian.org/foo2zjs
+
+Package: foo2zjs
+Architecture: any
+Depends: ${shlibs:Depends}
+Recommends: foomatic-db-engine, wget, tk8.4, tix
+Suggests: psutils, hannah-foo2zjs
+Description: Support for printing to ZjStream-based printers
+ foo2zjs is an open source printer driver for printers that use the
+ Zenographics ZjStream wire protocol for their print data, such as the
+ Minolta magicolor 2200/2300/2430 DL, Minolta Color PageWorks/Pro L and
+ HP LaserJet 1000/1005/1018/1020/1022. These printers are often
+ erroneously referred to as "winprinters" or "GDI printers".
+ .
+ The foomatic-db-engine package is recommended to simplify configuring
+ this printer driver.  The psutils package is needed to enable n-up
+ printing support.
+
+Package: hannah-foo2zjs
+Architecture: any
+Depends: ${shlibs:Depends}, gksu | kdebase-bin (<< 4:4.4.0-1) | kdebase-runtime | ktsuss | sux
+Description: Graphical firmware downloader for the foo2zjs package
+ Hannah is a graphical firmware downloader for the foo2zjs package. You
+ can select one or more firmware(s) from a list, and let hannah download
+ and install them.
+ .
+ With this software you can potentially install non-free software, so
+ beware of that.
--- foo2zjs-20090301dfsg.orig/debian/changelog
+++ foo2zjs-20090301dfsg/debian/changelog
@@ -0,0 +1,398 @@
+foo2zjs (20090301dfsg-4~bpo50+1) lenny-backports; urgency=low
+
+  * Backport for lenny
+
+ -- Steffen Joeris <white@debian.org>  Sun, 30 Aug 2009 12:47:05 +0200
+
+foo2zjs (20090301dfsg-4) unstable; urgency=low
+
+  * debian/hannah-package/gui.cpp: Fix list of argument names for getweb
+    (Closes: #537325).
+  * debian/patches/40-hplj1000.dpatch: Updated to also guard globbered
+    names in find call (Closes: #526781).
+  * debian/README.Debian: Clarify how hannah-foo2zjs and getweb are used
+    (Closes: #503373, #529300).
+  * debian/copyright: Link to /usr/share/common-licenses/GPL-2
+    instead of /usr/share/common-licenses/GPL.
+  * debian/control:
+    + hannah-foo2zjs: Tighten Depends on kdebase-bin to (<< 4:4.4.0-1)
+      (Closes: #460480).
+    + Updated Standards-Version to 3.8.2.
+  * debian/patches/60-getweb.in.dpatch: Exit with failure when called
+    as non-root.
+  * debian/patches/90-manpages.dpatch: New dpatch to fix manpage errors.
+
+ -- Michael Koch <konqueror@gmx.de>  Sat, 01 Aug 2009 14:01:43 +0200
+
+foo2zjs (20090301dfsg-3) unstable; urgency=low
+
+  * debian/control:
+    + s/tik/tix/ in Recommends:, my fault.
+  * debian/foo2zjs.dirs:
+    + sort alphabetically.
+    + add /usr/share/pixmaps (Closes: #521992).
+  * debian/foo2zjs.links:
+    + list all links to be created for the hplj* helper programs.
+    + install links for HP LaserJet P1xxx printers.
+  * debian/patches/00list: update.
+  * debian/patches/60-getweb.in.dpatch:
+    + extract firmware for HP LaserJet P1005/1007 printers as well.
+  * debian/patches/60-hplj1000.dpatch:
+    + always load firmwares from /usr/share/foo2zjs/firmware.
+  * debian/rules:
+    + call dh_link only once.
+
+ -- Luca Capello <luca@pca.it>  Thu, 02 Apr 2009 18:07:52 +0200
+
+foo2zjs (20090301dfsg-2) unstable; urgency=low
+
+  * debian/patches/30-udev-rules.dpatch:
+    + for some printers, HP is lowercase, thanks to ilf
+      <ilf@zeromail.org> (Closes: #519628).
+
+ -- Luca Capello <luca@pca.it>  Wed, 18 Mar 2009 22:32:41 +0100
+
+foo2zjs (20090301dfsg-1) unstable; urgency=low
+
+  * New upstream version (Closes: #466758)
+  * DFSG repack
+    - remove binary file c5200mono.prn
+    - remove crd/qpdl/CLP* , because copyright is unclear
+  * debian/*.1:
+    - remove, use upstream instead.
+  * debian/control:
+    + Recommends: tk8.4 and tik for hplj10xx_gui.tcl, thanks to lintian.
+  * debian/hannah-package/hanna.desktop:
+    - remove now useless Encoding key, thanks to lintian.
+  * debian/manpages:
+    + install foo2zjs-icc2ps.1 only.
+  * debian/patches/00list: update.
+  * debian/patches/10-makefile.dpatch: refresh.
+  * debian/patches/30-udevs-rules.dpatch: refresh.
+  * debian/patches/40-desktop-encoding-correction.dpatch:
+    - remove now useless Encoding key, thanks to lintian.
+  * debian/patches/40-path-correction.dpatch: refresh.
+  * debian/patches/50-fix-grotty-warnings:
+    - do not apply, it requires a too long refresh and a better
+      solution would be to fix the upstream manpage generation system.
+  * debian/patches/60-getweb.in.dpatch: refresh.
+  * debian/patches/70-getweb.in.dpatch:
+    - remove, no more needed.
+  * debian/watch:
+    + new dummy file, thanks to lintian.
+
+ -- Luca Capello <luca@pca.it>  Tue, 03 Mar 2009 09:43:35 +0100
+
+foo2zjs (20070718dfsg-9) unstable; urgency=low
+
+  * debian/control:
+    + add myself to Uploaders:.
+  * debian/patches/30-udev-rules.dpatch:
+    + backport upstream fix to support udev hotplugging, thanks to
+      ilf <ilf@zeromail.org> (Closes: #477923).
+
+ -- Luca Capello <luca@pca.it>  Mon, 22 Dec 2008 13:13:25 +0100
+
+foo2zjs (20070718dfsg-8) unstable; urgency=low
+
+  * Fixed bashism in debian/patches/60-getweb.in.dpatch. Closes: #489576
+  * Use su-to-root in debian/hannah-foo2zjs.menu and
+    debian/hannah-package/hannah.desktop.
+  * Use menu section Applications/System/Administration instead of
+    Applications/System.
+  * Use the Suggests from menu package for the Depends of hannah-foo2zjs
+    to make su-to-root -X work always.
+  * Build-Depends on ghostscript instead of gs-gpl.
+  * Build-Depends on libcups2-dev instead of libcupsys2-dev.
+  * Added Recommends for foo2zjs on wget. Neede by getweb script.
+  * Exclude the manual.pdf from dh_compress.
+
+ -- Michael Koch <konqueror@gmx.de>  Thu, 21 Aug 2008 18:16:23 +0200
+
+foo2zjs (20070718dfsg-7.1) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * Add '80-getweb.in.dpatch' to fix bashism in /bin/sh script
+    (Closes: #472895)
+  * Bump Standards-Version to 3.8.0.
+
+ -- Chris Lamb <chris@chris-lamb.co.uk>  Sat, 07 Jun 2008 20:17:48 +0100
+
+foo2zjs (20070718dfsg-7) unstable; urgency=medium
+
+  * Added menu file for hannah-foo2zjs package (Closes: #444850).
+   - Call dh_installmenu in debian/rules
+   - Adjust debian/hannah-foo2zjs.dirs accordingly
+  * Modified debian/rules to use /usr/share/dpatch/dpatch.make
+  * Added a patch from a newer getweb because the firmware location has
+  changed (Closes: #449426).
+
+ -- Luca Bedogni <me@lucabedogni.it>  Thu, 15 Nov 2007 17:40:37 +1100
+
+foo2zjs (20070718dfsg-6) unstable; urgency=low
+
+  * debian/control:
+        - Added the Homepage tag insted of displaing it in the long description
+          (Closes: #439579).
+        - Added Vcs-Svn tag.
+  * Now hannah-foo2zjs display the output of an error (Closes:444852) 
+
+ -- Luca Bedogni <me@lucabedogni.it>  Fri, 02 Nov 2007 01:06:58 +0100
+
+foo2zjs (20070718dfsg-5) experimental; urgency=low
+
+  * Change name of package hannah to hannah-foo2zjs to make
+    it more related to foo2zjs (and because there is already
+    a package in the archive called hannah)
+   - Also rename the binary to hannah-foo2zjs and its references
+
+ -- Steffen Joeris <white@debian.org>  Sun, 07 Oct 2007 17:13:46 +1000
+
+foo2zjs (20070718dfsg-4) experimental; urgency=low
+
+  [ Luca Bedogni ]
+  * Now hannah is a standalone package
+   - Moved debian/hannah to debian/hannah-package
+   - Added the clean call for hannah-package in debian/rules
+   - Added new package information to debian/control
+  * Modified menu file for opening hannah with kdesu or gksu
+    (Closes: #444850)
+
+  [ Steffen Joeris ]
+  * Fix cleanup for hannah and call it with make distclean
+  * Remove dependency against kdebase-bin | gksu from foo2zjs, because
+    this is satisfied via hannah now
+  * Add hannah as a suggests for foo2zjs
+  * Add foo2zjs as a depends to hannah
+  * Add debian/copyright information
+
+ -- Luca Bedogni <me@lucabedogni.it>  Sun, 07 Oct 2007 16:24:58 +1000
+
+foo2zjs (20070718dfsg-3) experimental; urgency=low
+
+  * Include first version of Hannah (GUI for downloading and installing
+    the printer firmware) (Closes: #443994)
+   - Add Hannah code to debian/hannah/*
+   - Modify debian/rules to build hannah from source
+   - Add build-depends against libqt4-dev
+   - Generate the standard directory for .desktop files in debian/dirs
+   - Install hannah.desktop into the standard desktop directory
+   - Update README.Debian to point to Hannah
+   - Renamed dpatch to 60-getweb.in.dpatch and adjusted it to match
+     for Hannah
+   - Use tmp file under /usr/share/foo2zjs/tmp for unpacking and
+     preparing downloaded firmware
+   - Add a depends against kdebase-bin | gksu to use either of both
+     programs to become root, when calling hannah
+  * Fix breaking line in 11-hplj10xx.rules to repair it
+   (Closes: #443917) Thanks to Cristian Ionescu-Idbohrn for the patch
+
+
+ -- Steffen Joeris <white@debian.org>  Sun, 30 Sep 2007 18:10:33 +1000
+
+foo2zjs (20070718dfsg-2) unstable; urgency=low
+
+  [ Luca Bedogni ]
+  * Added 60-getweb.dpatch for improving the getweb script to install the
+    firmware too, instead of download-only (Closes: #419038)
+
+  [ Steffen Joeris ]
+  * Update README.Debian and remove some useless information
+
+  [ Michael Koch ]
+  * Improved 60-getweb.dpatch to delete local files after putting them into
+    firmware directory
+
+ -- Michael Koch <konqueror@gmx.de>  Sat, 22 Sep 2007 21:58:30 +0200
+
+foo2zjs (20070718dfsg-1) experimental; urgency=low
+
+  [ Luca Bedogni ]
+  * Modified patches to fit with new version
+  * Removed Finn-Arne Johansen (Requested on #427678)
+  * Added me (Luca Bedogni) as co-maintainer
+  * Added Michael Koch as co-maintainer
+
+  [ Steffen Joeris ]
+  * Put the alioth list as maintainer and myself as co-maintainer
+   - The package is now team maintained (Closes: #429872)
+  * New upstream version (Closes: #427678)
+  * DFSG repack
+   - Removed binary file c5200mono.prn
+   - Removed crd/qpdl/CLP* , because copyright is unclear
+  * Make sure that the PPD files are installed (Closes: #427665)
+
+ -- Steffen Joeris <white@debian.org>  Fri, 20 Jul 2007 18:07:24 +0200
+
+foo2zjs (20061224-3) unstable; urgency=low
+
+  * Make sure that the patches are cleaned up before the general
+    cleanup and therefore avoid FTBFS during second build
+    (Closes: #424277)
+  * Make sure that upstream documentation and copyright information are
+    not installed as they are not needed for debian
+  * Make sure that the cleanup target is complete
+
+ -- Steffen Joeris <white@debian.org>  Wed, 16 May 2007 15:44:32 +1000
+
+foo2zjs (20061224-2) unstable; urgency=low
+
+  * Upload to unstable
+
+ -- Steffen Joeris <white@debian.org>  Sun, 06 May 2007 18:57:46 +1000
+ 
+foo2zjs (20061224-1) experimental; urgency=low
+
+  * New upstream release
+  * Bump debhelper level to 5
+  * Change my maintainer address
+  * Change 30-udev-rules.dpatch to patch the path for the program
+  * Change the path for the hplj1000 script (Closes: #402633)
+  * Install the ChangeLog file from upstream
+  * Still provide the hplj1000 script
+  * Improve package description (Closes: #400036)
+  * Remove old debian diversions file
+  * Update debian/copyright
+  * Patch the build system properly (10-makefile.dpatch)
+
+ -- Steffen Joeris <white@debian.org>  Sat,  6 Jan 2007 00:56:38 +0100
+
+foo2zjs (20060625dfsg-4) unstable; urgency=medium
+
+  * Make sure that the symlinks are available (Closes: #390948)
+    Thanks to Petre Todorov
+
+ -- Steffen Joeris <steffen.joeris@skolelinux.de>  Sun,  8 Oct 2006 14:21:29 +1000
+
+foo2zjs (20060625dfsg-3) unstable; urgency=medium
+
+  * Correct the udev rules (30-udev-rules.dpatch) to make sure all of 
+    the supported hp models work as expected (Closes: #390948)
+  * Correct the path of the program location in hplj1000
+    (40-path-correction.dpatch)
+
+ -- Steffen Joeris <steffen.joeris@skolelinux.de>  Fri,  6 Oct 2006 19:21:40 +1000
+
+foo2zjs (20060625dfsg-2) unstable; urgency=low
+
+  * Upload this version to unstable
+
+  * Upload sponsored by Petter Reinholdtsen.
+
+ -- Steffen Joeris <steffen.joeris@skolelinux.de>  Fri, 11 Aug 2006 20:58:53 +1000
+
+foo2zjs (20060625dfsg-1) experimental; urgency=low
+
+  * New upstream release
+  * Bump standards version, no changes needed
+  * Repack for DFSG compatibility
+  * Provide usb_printerid again (Closes: #355576)
+  * Provide the new firmware download scripts from upstream
+  * Use modified hp10xx.rules file from upstream
+  * Thanks for suggestions from Philippe Teuwen
+  * Add build-dependency against foomatic-filters to make sure foomatic-rip
+    is available
+
+  * Upload sponsored by Morten Werner Olsen.
+
+ -- Steffen Joeris <steffen.joeris@skolelinux.de>  Thu, 27 Jul 2006 18:20:54 +1000
+
+foo2zjs (20060124dfsg-1) unstable; urgency=low
+
+  * new upstream release (Closes: #351413)
+  * repack for DFSG compatibility
+  * wrote manpage for okidecode, used authors description
+
+  * Upload sponsored by Petter Reinholdtsen.
+
+ -- Steffen Joeris <steffen.joeris@skolelinux.de>  Sun,  5 Feb 2006 15:31:09 +0100
+
+foo2zjs (20051220dfsg-1) unstable; urgency=low
+
+  * new upstream release
+  * again have to repack it for DFSG compatibility
+  * add additional explanation 
+    (e.g. reason for repack and reformat of manpages) to README.Debian
+
+  * Upload sponsored by Petter Reinholdtsen.
+
+ -- Steffen Joeris <steffen.joeris@skolelinux.de>  Sun, 01 Jan 2006 14:45:28 +0100
+
+foo2zjs (20051120dfsg-1) unstable; urgency=low
+
+  [ Changes by Steffen Joeris ]
+  * new upstream release
+  * add some clean targets to debian/rules
+  * modify make install in debian/rules
+  * repack and rename to *dfsg because of binaries in source ;(
+  * modify Makefile to recognize the dfsg changes
+  * wrote README.Debian to inform users about the changes
+
+  [ Changes by Finn-Arne Johansen ]
+  * Added code to honour /etc/papersize (Closes: #237967)
+    (20-honour-papersize.dpatch)
+
+  * Upload sponsored by Petter Reinholdtsen.
+
+ -- Finn-Arne Johansen <faj@bzz.no>  Fri,  2 Dec 2005 16:16:09 +0100
+
+foo2zjs (20051113-1) unstable; urgency=low
+
+  * New Maintainer and Co-Maintainer (Closes: #294813) 
+  * New upstream release (Closes: #339761)
+  * Added new clean rules because of new version
+  * bumped standard version
+  * cleaned up the debian/control
+  * provide the full source from the author (Closes: #279830, #279829)
+  * wrote all authors to debian/copyright
+  * reformat the manpages to make the package completely lintian clean
+
+ -- Steffen Joeris <steffen.joeris@skolelinux.de>  Fri, 18 Nov 2005 18:40:40 +0100
+
+foo2zjs (20050217-1) unstable; urgency=low
+
+  * New upstream release.
+  * Please note that there is an RFA for this package.
+
+ -- Chris Lawrence <lawrencc@debian.org>  Thu, 17 Feb 2005 23:26:51 -0600
+
+foo2zjs (20040210-2) unstable; urgency=low
+
+  * Remove the binary-only components from the generated package; if you
+    need foo2oak, see http://foo2oak.rkkda.com/.  (Closes: #233311)
+
+ -- Chris Lawrence <lawrencc@debian.org>  Tue, 17 Feb 2004 21:05:36 -0600
+
+foo2zjs (20040210-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Chris Lawrence <lawrencc@debian.org>  Sun, 15 Feb 2004 02:04:03 -0600
+
+foo2zjs (20030807-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Chris Lawrence <lawrencc@debian.org>  Sun,  7 Sep 2003 12:32:07 -0500
+
+foo2zjs (20030702-1) unstable; urgency=low
+
+  * New upstream release:
+  	+ Add XML files for Minolta Color PageWorks/Pro L
+        + If color has been selected, but there isn't any color on the page,
+	  then produce a monochrome ZjStream.
+
+ -- Chris Lawrence <lawrencc@debian.org>  Wed,  2 Jul 2003 22:55:33 -0500
+
+foo2zjs (20030531-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Chris Lawrence <lawrencc@debian.org>  Fri,  6 Jun 2003 22:55:43 -0500
+
+foo2zjs (20030526-1) unstable; urgency=low
+
+  * Initial Release.  (Closes: #194572)
+
+ -- Chris Lawrence <lawrencc@debian.org>  Tue, 27 May 2003 16:03:54 -0500
+
--- foo2zjs-20090301dfsg.orig/debian/rules
+++ foo2zjs-20090301dfsg/debian/rules
@@ -0,0 +1,97 @@
+#!/usr/bin/make -f
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+include /usr/share/dpatch/dpatch.make
+
+CFLAGS = -Wall -g
+
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -O0
+else
+	CFLAGS += -O2
+endif
+ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
+	INSTALL_PROGRAM += -s
+endif
+
+MAKE = make
+QMAKE = qmake-qt4
+
+configure: configure-stamp
+configure-stamp: patch-stamp
+	dh_testdir
+	cd debian/hannah-package/ && $(QMAKE)
+	touch configure-stamp
+
+build: build-stamp
+
+build-stamp: configure-stamp 
+	dh_testdir
+	$(MAKE) CFLAGS="$(CFLAGS)"
+	cd debian/hannah-package && $(MAKE)
+	touch build-stamp
+
+clean: unpatch
+	dh_testdir
+	dh_testroot
+	rm -f build-stamp configure-stamp
+	rm -rf debian/patched
+	[ ! -f debian/hannah-package/Makefile ] || (cd debian/hannah-package/ && $(MAKE) distclean)
+	rm -rf debian/hannah-package/hannah
+	[ ! -f Makefile ] || $(MAKE) clean
+	-rm -f foo2hp
+	-rm -f foo2hp.o
+	-rm -f arm2hpdl
+	-rm -f usb_printerid
+	-rm -f foo2oak
+	-rm -f oakdecode
+	-rm -f oakdecode.o
+	-rm -f foo2hp2600-wrapper
+	-rm -f foo2oak-wrapper
+	-rm -f foo2zjs-wrapper
+	-rm -f okidecode
+	dh_clean
+
+install: build
+	dh_testdir
+	dh_testroot
+	dh_clean -k
+	dh_installdirs
+	$(MAKE) install PREFIX=$(CURDIR)/debian/foo2zjs/usr MODEL=$(CURDIR)/debian/foo2zjs/usr/share/cups/model FOODB=$(CURDIR)/debian/foo2zjs/usr/share/foomatic/db/source PPD=$(CURDIR)/debian/foo2zjs/usr/share/ppd
+	rm -f $(CURDIR)/debian/foo2zjs/usr/share/doc/foo2zjs/COPYING
+	rm -f $(CURDIR)/debian/foo2zjs/usr/share/doc/foo2zjs/INSTALL
+	rm -f $(CURDIR)/debian/foo2zjs/usr/share/doc/foo2zjs/INSTALL.osx
+	install -D -m 644 hplj10xx.rules $(CURDIR)/debian/foo2zjs/etc/udev/rules.d/11-hplj10xx.rules
+	install -m 755 hplj1000 $(CURDIR)/debian/foo2zjs/usr/sbin/hplj1000
+	install -m 755 getweb $(CURDIR)/debian/foo2zjs/usr/bin/getweb
+	install -m 755 debian/hannah-package/hannah $(CURDIR)/debian/hannah-foo2zjs/usr/bin/hannah-foo2zjs
+	install -m 644 debian/hannah-package/hannah.desktop $(CURDIR)/debian/hannah-foo2zjs/usr/share/applications/hannah-foo2zjs.desktop
+	touch $(CURDIR)/debian/foo2zjs/usr/share/foo2zjs/tmp/.placeholder
+
+# Build architecture-independent files here.
+binary-indep: build install
+# We have nothing to do by default.
+
+# Build architecture-dependent files here.
+binary-arch: build install
+	dh_testdir
+	dh_testroot
+	dh_installchangelogs ChangeLog
+	dh_installdocs
+	dh_installexamples
+	dh_installmenu
+	dh_installman
+	dh_link
+	dh_strip
+	dh_compress -Xmanual.pdf
+	dh_fixperms
+	dh_installdeb
+	dh_shlibdeps
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install configure
--- foo2zjs-20090301dfsg.orig/debian/manpages
+++ foo2zjs-20090301dfsg/debian/manpages
@@ -0,0 +1 @@
+debian/foo2zjs-icc2ps.1
--- foo2zjs-20090301dfsg.orig/debian/foo2zjs.links
+++ foo2zjs-20090301dfsg/debian/foo2zjs.links
@@ -0,0 +1,8 @@
+usr/sbin/hplj1000 usr/sbin/hplj1005
+usr/sbin/hplj1000 usr/sbin/hplj1018
+usr/sbin/hplj1000 usr/sbin/hplj1020
+usr/sbin/hplj1000 usr/sbin/hpljP1005
+usr/sbin/hplj1000 usr/sbin/hpljP1006
+usr/sbin/hplj1000 usr/sbin/hpljP1007
+usr/sbin/hplj1000 usr/sbin/hpljP1008
+usr/sbin/hplj1000 usr/sbin/hpljP1505
--- foo2zjs-20090301dfsg.orig/debian/hannah-foo2zjs.dirs
+++ foo2zjs-20090301dfsg/debian/hannah-foo2zjs.dirs
@@ -0,0 +1,3 @@
+usr/bin
+usr/share/applications
+usr/share/menu
--- foo2zjs-20090301dfsg.orig/debian/docs
+++ foo2zjs-20090301dfsg/debian/docs
@@ -0,0 +1 @@
+README
--- foo2zjs-20090301dfsg.orig/debian/hannah-package/gui.h
+++ foo2zjs-20090301dfsg/debian/hannah-package/gui.h
@@ -0,0 +1,80 @@
+//	Hannah, GUI for downloading specific printer firmware
+//	Copyright (C) 2007 Steffen Joeris <white@debian.org>
+//
+//    This program is free software; you can redistribute it and/or modify
+//    it under the terms of the GNU General Public License as published by
+//    the Free Software Foundation; either version 2 of the License, or
+//    (at your option) any later version.
+//
+//    This program is distributed in the hope that it will be useful,
+//    but WITHOUT ANY WARRANTY; without even the implied warranty of
+//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+//    GNU General Public License for more details.
+//
+//    You should have received a copy of the GNU General Public License along
+//    with this program; if not, write to the Free Software Foundation, Inc.,
+//    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+
+#ifndef GUI_H
+#define GUI_H
+
+#include <QMainWindow>
+#include <QWidget>
+#include <QVBoxLayout>
+#include <QPushButton>
+#include <QMessageBox>
+#include <QApplication>
+#include <QProcess>
+#include <QCheckBox>
+#include <QAbstractButton>
+#include <QButtonGroup>
+#include <QAction>
+#include <QMenu>
+#include <QMenuBar>
+#include <QStatusBar>
+
+class MainWindow : public QWidget
+{
+	Q_OBJECT
+
+public:
+	MainWindow(QWidget *parent = 0);
+
+private:
+	int state;
+	void createMainWidget();
+	QCheckBox *hp2600Button;
+	QCheckBox *hp1600Button;
+	QCheckBox *hp1020Button;
+	QCheckBox *hp1018Button;
+	QCheckBox *hp1005Button;
+	QCheckBox *hp1000Button;
+	QCheckBox *minolta2530Button;
+	QCheckBox *minolta2490Button;
+	QCheckBox *minolta2480Button;
+	QCheckBox *minolta2430Button;
+	QCheckBox *minolta2300Button;
+	QCheckBox *minolta2200Button;
+	QCheckBox *minoltaproButton;
+	QCheckBox *samsung3160Button;
+	QCheckBox *samsung600Button;
+	QCheckBox *samsung300Button;
+	QCheckBox *xerox6115Button;
+	QCheckBox *xerox6110Button;
+	QCheckBox *allButton;
+	QButtonGroup *buttonGroup;
+	QPushButton *downloadButton;
+	QPushButton *exitButton;
+	QStatusBar *statusBar;
+	QProcess *callProgram;
+	QString string;
+
+private slots:
+	void callGetweb();
+	void setCheckBoxes(int);
+	void showInfo();
+	void checkProgram();
+};
+
+#endif // GUI_H
--- foo2zjs-20090301dfsg.orig/debian/hannah-package/gui.cpp
+++ foo2zjs-20090301dfsg/debian/hannah-package/gui.cpp
@@ -0,0 +1,265 @@
+//      Hannah, GUI for downloading specific printer firmware
+//      Copyright (C) 2007 Steffen Joeris <white@debian.org>
+//
+//    This program is free software; you can redistribute it and/or modify
+//    it under the terms of the GNU General Public License as published by
+//    the Free Software Foundation; either version 2 of the License, or
+//    (at your option) any later version.
+//
+//    This program is distributed in the hope that it will be useful,
+//    but WITHOUT ANY WARRANTY; without even the implied warranty of
+//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+//    GNU General Public License for more details.
+//
+//    You should have received a copy of the GNU General Public License along
+//    with this program; if not, write to the Free Software Foundation, Inc.,
+//    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+
+#include "gui.h"
+
+MainWindow::MainWindow(QWidget *parent)
+        :QWidget(parent)
+{
+	int check = QMessageBox::question(this, tr("Hannah - Firmware downloader"),
+			tr("Do you want to download and install potential non-free printer firmware?"), tr("&Yes"), tr("&No"),
+			QString::null, 0, 1);
+
+	
+	if (! check == 0 ) {
+		exit(0);
+	}
+
+	createMainWidget();
+	
+	connect(downloadButton, SIGNAL(clicked()), this, SLOT(callGetweb()));
+};
+
+void MainWindow::createMainWidget()
+{
+        setWindowTitle(tr("Hannah - Foo2zjs firmware downloader"));
+        QVBoxLayout *mainLayout = new QVBoxLayout;
+        hp2600Button = new QCheckBox(tr("Download firmware for HP2600"));
+        hp1600Button = new QCheckBox(tr("Download firmware for HP1600"));
+        hp1020Button = new QCheckBox(tr("Download firmware for HP1020"));
+        hp1018Button = new QCheckBox(tr("Download firmware for HP1018"));
+        hp1005Button = new QCheckBox(tr("Download firmware for HP1005"));
+        hp1000Button = new QCheckBox(tr("Download firmware for HP1000"));
+        minolta2530Button = new QCheckBox(tr("Download firmware for Minolta 2530"));
+        minolta2490Button = new QCheckBox(tr("Download firmware for Minolta 2490"));
+        minolta2480Button = new QCheckBox(tr("Download firmware for Minolta 2480"));
+        minolta2430Button = new QCheckBox(tr("Download firmware for Minolta 2430"));
+        minolta2300Button = new QCheckBox(tr("Download firmware for Minolta 2300"));
+        minolta2200Button = new QCheckBox(tr("Download firmware for Minolta 2200"));
+        minoltaproButton = new QCheckBox(tr("Download firmware for Minolta PageWorks/Pro L"));
+        samsung3160Button = new QCheckBox(tr("Download firmware for Samsung CLX-3160"));
+        samsung600Button = new QCheckBox(tr("Download firmware for Samsung CLP-600"));
+        samsung300Button = new QCheckBox(tr("Download firmware for Samsung CLP-300"));
+        xerox6115Button = new QCheckBox(tr("Download firmware for Xerox Phaser 6115"));
+        xerox6110Button = new QCheckBox(tr("Download firmware for Xerox Phaser 6110"));
+        allButton = new QCheckBox(tr("Mark all for download"));
+        downloadButton = new QPushButton(tr("Download marked firmwares"));
+        exitButton = new QPushButton(tr("Exit"));
+
+        hp2600Button->setFont(QFont("Times", 18));
+        hp1600Button->setFont(QFont("Times", 18));
+        hp1020Button->setFont(QFont("Times", 18));
+        hp1018Button->setFont(QFont("Times", 18));
+        hp1005Button->setFont(QFont("Times", 18));
+        hp1000Button->setFont(QFont("Times", 18));
+        minolta2530Button->setFont(QFont("Times", 18));
+        minolta2490Button->setFont(QFont("Times", 18));
+        minolta2480Button->setFont(QFont("Times", 18));
+        minolta2430Button->setFont(QFont("Times", 18));
+        minolta2300Button->setFont(QFont("Times", 18));
+        minolta2200Button->setFont(QFont("Times", 18));
+        minoltaproButton->setFont(QFont("Times", 18));
+        samsung3160Button->setFont(QFont("Times", 18));
+        samsung600Button->setFont(QFont("Times", 18));
+        samsung300Button->setFont(QFont("Times", 18));
+        xerox6115Button->setFont(QFont("Times", 18));
+        xerox6110Button->setFont(QFont("Times", 18));
+        allButton->setFont(QFont("Times", 18));
+        downloadButton->setFont(QFont("Times", 18));
+        exitButton->setFont(QFont("Times", 18));
+
+        QMenuBar *menubar = new QMenuBar;
+        QMenu *menu = new QMenu;
+        menubar->addMenu(menu);
+        QAction *about = new QAction(tr("About Hannah"), this);
+        menu = menubar->addMenu(tr("Help"));
+        menu->addAction(about);
+
+	statusBar = new QStatusBar;
+
+	mainLayout->addWidget(menubar, 0, 0);
+        mainLayout->addWidget(hp2600Button, 1, 0);
+        mainLayout->addWidget(hp1600Button, 2, 0);
+        mainLayout->addWidget(hp1020Button, 3, 0);
+        mainLayout->addWidget(hp1018Button, 4, 0);
+        mainLayout->addWidget(hp1005Button, 5, 0);
+        mainLayout->addWidget(hp1000Button, 6, 0);
+        mainLayout->addWidget(minolta2530Button, 7, 0);
+        mainLayout->addWidget(minolta2490Button, 8, 0);
+        mainLayout->addWidget(minolta2480Button, 9, 0);
+        mainLayout->addWidget(minolta2430Button, 10, 0);
+        mainLayout->addWidget(minolta2300Button, 11, 0);
+        mainLayout->addWidget(minolta2200Button, 12, 0);
+        mainLayout->addWidget(minoltaproButton, 13, 0);
+        mainLayout->addWidget(samsung3160Button, 14, 0);
+        mainLayout->addWidget(samsung600Button, 15, 0);
+        mainLayout->addWidget(samsung300Button, 16, 0);
+        mainLayout->addWidget(xerox6115Button, 17, 0);
+        mainLayout->addWidget(xerox6110Button, 18, 0);
+        mainLayout->addWidget(allButton, 19, 0);
+        mainLayout->addWidget(statusBar, 20, 0);
+        mainLayout->addWidget(downloadButton, 21, 0);
+        mainLayout->addWidget(exitButton, 22, 0);
+        setMinimumSize(600, 700);
+        setLayout(mainLayout);
+
+        buttonGroup = new QButtonGroup;
+        buttonGroup->setExclusive(false);
+        buttonGroup->addButton(hp2600Button, 0);
+        buttonGroup->addButton(hp1600Button, 1);
+        buttonGroup->addButton(hp1020Button, 2);
+        buttonGroup->addButton(hp1018Button, 3);
+        buttonGroup->addButton(hp1005Button, 4);
+        buttonGroup->addButton(hp1000Button, 5);
+        buttonGroup->addButton(minolta2530Button, 6);
+        buttonGroup->addButton(minolta2490Button, 7);
+        buttonGroup->addButton(minolta2480Button, 8);
+        buttonGroup->addButton(minolta2430Button, 9);
+        buttonGroup->addButton(minolta2300Button, 10);
+        buttonGroup->addButton(minolta2200Button, 11);
+        buttonGroup->addButton(minoltaproButton, 12);
+        buttonGroup->addButton(samsung3160Button, 13);
+        buttonGroup->addButton(samsung600Button, 14);
+        buttonGroup->addButton(samsung300Button, 15);
+        buttonGroup->addButton(xerox6115Button, 16);
+        buttonGroup->addButton(xerox6110Button, 17);
+
+	connect(about, SIGNAL(triggered()), this, SLOT(showInfo()));
+	connect(allButton, SIGNAL(stateChanged(int)), this, SLOT(setCheckBoxes(int)));
+	connect(exitButton, SIGNAL(clicked()), qApp, SLOT(quit()));
+};
+
+void MainWindow::showInfo()
+{
+	QMessageBox::information(this, tr("Hannah-Foo2zjs Firmware Downloader"),
+			tr("This program is developed by the Debian Foo2ZJS maintainers.\n"
+			   "It is offered as a convenient method to download the needed\n"
+			   "firmware for one of the printers supported by Foo2ZJS. Please feel\n"
+			   "free to report any bugs against the foo2zjs package\n"
+			   "to the Debian BTS (http://bugs.debian.org).\n"
+			   "The program's name is Hannah:\n" 
+			   "(grapHical interfAce for dowNloading your priNter's firmwAre at Home).\n"),
+			   QMessageBox::Ok);
+};
+
+void MainWindow::setCheckBoxes(int state)
+{
+	switch (state) {
+		case 2:
+			hp2600Button->setCheckState(Qt::Checked);
+			hp1600Button->setCheckState(Qt::Checked);
+			hp1020Button->setCheckState(Qt::Checked);
+			hp1018Button->setCheckState(Qt::Checked);
+			hp1005Button->setCheckState(Qt::Checked);
+			hp1000Button->setCheckState(Qt::Checked);
+			minolta2530Button->setCheckState(Qt::Checked);
+			minolta2490Button->setCheckState(Qt::Checked);
+			minolta2480Button->setCheckState(Qt::Checked);
+			minolta2430Button->setCheckState(Qt::Checked);
+			minolta2300Button->setCheckState(Qt::Checked);
+			minolta2200Button->setCheckState(Qt::Checked);
+			minoltaproButton->setCheckState(Qt::Checked);
+			samsung3160Button->setCheckState(Qt::Checked);
+			samsung600Button->setCheckState(Qt::Checked);
+			samsung300Button->setCheckState(Qt::Checked);
+			xerox6115Button->setCheckState(Qt::Checked);
+			xerox6110Button->setCheckState(Qt::Checked);
+			break;
+		case 0:
+			hp2600Button->setCheckState(Qt::Unchecked);
+			hp1600Button->setCheckState(Qt::Unchecked);
+			hp1020Button->setCheckState(Qt::Unchecked);
+			hp1018Button->setCheckState(Qt::Unchecked);
+			hp1005Button->setCheckState(Qt::Unchecked);
+			hp1000Button->setCheckState(Qt::Unchecked);
+			minolta2530Button->setCheckState(Qt::Unchecked);
+			minolta2490Button->setCheckState(Qt::Unchecked);
+			minolta2480Button->setCheckState(Qt::Unchecked);
+			minolta2430Button->setCheckState(Qt::Unchecked);
+			minolta2300Button->setCheckState(Qt::Unchecked);
+			minolta2200Button->setCheckState(Qt::Unchecked);
+			minoltaproButton->setCheckState(Qt::Unchecked);
+			samsung3160Button->setCheckState(Qt::Unchecked);
+			samsung600Button->setCheckState(Qt::Unchecked);
+			samsung300Button->setCheckState(Qt::Unchecked);
+			xerox6115Button->setCheckState(Qt::Unchecked);
+			xerox6110Button->setCheckState(Qt::Unchecked);
+			break;
+		default:
+			break;
+		}
+}
+
+void MainWindow::callGetweb()
+{
+	QAbstractButton *temporary_button;
+	int count = 0;
+	QStringList current_list;
+	current_list << "2600n" << "1600" << "1020" << "1018" << "1005" << "1000" << "2530" << "2490" << "2480" << "2430" << "2300" << "2200" << "cpwl" << "3160" << "600" << "300" << "6115" << "6110";
+	QStringList arguments;
+
+	foreach( temporary_button, buttonGroup->buttons() ) {
+		if ( temporary_button->isChecked() ) {
+			arguments << current_list.at(count);
+		}
+		count++;
+	}
+	
+	QString program = "/usr/bin/getweb";
+	string = arguments.join(" ");
+	callProgram = new QProcess;
+
+	switch (callProgram->state()) {
+		case 2:
+			QMessageBox::warning(this, tr("Hannah - Firmware downloader 'getweb'"),
+				tr("There is already a firmware download in progress. \n"
+				    "Refuse to start another one."), QMessageBox::Ok);
+			break;
+		case 1:
+			QMessageBox::warning(this, tr("Hannah - Firmware downloader 'getweb'"),
+				tr("There is already a firmware download in progress. \n"
+				    "Refuse to start another one."), QMessageBox::Ok);
+			break;
+		case 0:
+			callProgram->start(program, arguments);
+			QString message = QString(tr("Downloading firmware for %1").arg(string));
+			statusBar->showMessage(message);
+			connect(callProgram, SIGNAL(finished(int)), this, SLOT(checkProgram()));
+			break;
+	}
+};
+
+void MainWindow::checkProgram()
+{
+	switch ( callProgram->exitCode() ) {
+		case 0:
+			QMessageBox::information(this, tr("Hannah - Firmware downloader"),
+				tr("The firmware for the following printers was downloaded and installed successfully:\n"
+					"%1\n").arg(string), QMessageBox::Ok);
+			statusBar->showMessage(tr("Download and installation finished."));
+			break;
+		default:
+			QMessageBox::critical(this, tr("Hannah - Firmware downloader"),
+				tr(callProgram->readAllStandardError()));
+			QMessageBox::critical(this, tr("Hannah - Firmware downloader"),
+				tr("Something went wrong during the download and installation process for the following printers:\n"
+					"%1\n").arg(string), QMessageBox::Ok);
+			statusBar->showMessage(tr("An error occured during download and installation process."));
+			break;
+	}
+};
--- foo2zjs-20090301dfsg.orig/debian/hannah-package/hannah.pro
+++ foo2zjs-20090301dfsg/debian/hannah-package/hannah.pro
@@ -0,0 +1,12 @@
+######################################################################
+# Automatically generated by qmake (2.01a) Thu Sep 27 01:13:29 2007
+######################################################################
+
+TEMPLATE = app
+TARGET = 
+DEPENDPATH += .
+INCLUDEPATH += .
+
+# Input
+HEADERS += gui.h
+SOURCES += gui.cpp main.cpp
--- foo2zjs-20090301dfsg.orig/debian/hannah-package/main.cpp
+++ foo2zjs-20090301dfsg/debian/hannah-package/main.cpp
@@ -0,0 +1,27 @@
+//      Hannah, GUI for downloading specific printer firmware
+//      Copyright (C) 2007 Steffen Joeris <white@debian.org>
+//      
+//    This program is free software; you can redistribute it and/or modify
+//    it under the terms of the GNU General Public License as published by
+//    the Free Software Foundation; either version 2 of the License, or
+//    (at your option) any later version.
+//      
+//    This program is distributed in the hope that it will be useful,
+//    but WITHOUT ANY WARRANTY; without even the implied warranty of
+//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+//    GNU General Public License for more details.
+//     
+//    You should have received a copy of the GNU General Public License along
+//    with this program; if not, write to the Free Software Foundation, Inc.,
+//    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+
+#include "gui.h"
+
+int main(int argc, char *argv[])
+{
+	QApplication app(argc, argv);
+	MainWindow window;
+	window.show();
+	return app.exec();
+}
--- foo2zjs-20090301dfsg.orig/debian/hannah-package/hannah.desktop
+++ foo2zjs-20090301dfsg/debian/hannah-package/hannah.desktop
@@ -0,0 +1,7 @@
+[Desktop Entry]
+Name=Foo2ZJS Firmware Installer (Hannah)
+Exec=/usr/bin/su-to-root -X -c /usr/bin/hannah-foo2zjs
+Type=Application
+Comment=Foo2ZJS Firmware Downloader and Installer
+Terminal=0
+Categories=System;Settings;
--- foo2zjs-20090301dfsg.orig/debian/patches/10-makefile.dpatch
+++ foo2zjs-20090301dfsg/debian/patches/10-makefile.dpatch
@@ -0,0 +1,92 @@
+#!/bin/sh -e
+## 10-makefile.dpatch, by Steffen Joeris <white@debian.org> and
+## Luca Capello <luca@pca.it>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Patch the Makefile 
+
+if [ $# -lt 1 ]; then
+echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+case "$1" in
+      -patch) patch $patch_opts -p1 < $0;;
+      -unpatch) patch $patch_opts -p1 -R < $0;;
+      *)
+      echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+      exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+--- foo2zjs-20081007dfsg/Makefile.ORG	2008-11-25 22:29:53.000000000 +0100
++++ foo2zjs-20081007dfsg/Makefile	2008-11-25 22:39:32.000000000 +0100
+@@ -16,9 +16,7 @@
+ VERSION=0.0
+ 
+ # Installation prefix...
+-PREFIX=/usr/local
+ PREFIX=/usr
+-PREFIX=$(DESTDIR)/usr
+ 
+ # Pathnames for this package...
+ BIN=$(PREFIX)/bin
+@@ -35,7 +33,7 @@
+ INSTALL=install
+ 
+ # Pathnames for referenced packages...
+-FOODB=$(DESTDIR)/usr/share/foomatic/db/source
++FOODB=$(PREFIX)/share/foomatic/db/source
+ 
+ # User ID's
+ LPuid=-olp
+@@ -540,8 +538,6 @@
+ 	#
+     
+ 
+-UDEVBIN=$(DESTDIR)/bin/
+-
+ install-prog:
+ 	#
+ 	# Install driver, wrapper, and development tools
+@@ -549,8 +545,7 @@
+ 	$(INSTALL) -d $(BIN)
+ 	$(INSTALL) -c $(PROGS) $(SHELLS) $(BIN)/
+ 	if [ "$(BINPROGS)" != "" ]; then \
+-	    $(INSTALL) -d $(UDEVBIN); \
+-	    $(INSTALL) -c $(BINPROGS) $(UDEVBIN); \
++	    $(INSTALL) -c $(BINPROGS) $(BIN); \
+ 	fi
+ 	#
+ 	# Install gamma correction files.  These are just templates,
+@@ -718,9 +713,9 @@
+ 	    fi; \
+ 	done
+ 
+-MODEL=$(DESTDIR)/usr/share/cups/model
+-LOCALMODEL=$(DESTDIR)/usr/local/share/cups/model
+-PPD=$(DESTDIR)/usr/share/ppd
++MODEL=$(PREFIX)/share/cups/model
++LOCALMODEL=$(PREFIX)/local/share/cups/model
++PPD=$(PREFIX)/share/ppd
+ VARPPD=/var/lp/ppd
+ install-ppd:
+ 	#
+@@ -763,9 +758,9 @@
+ 	    done; \
+ 	fi
+ 
+-APPL=$(DESTDIR)/usr/share/applications
+-OLDAPPL=$(DESTDIR)/usr/share/gnome/apps/System
+-PIXMAPS=$(DESTDIR)/usr/share/pixmaps
++APPL=$(PREFIX)/share/applications
++OLDAPPL=$(PREFIX)/share/gnome/apps/System
++PIXMAPS=$(PREFIX)/share/pixmaps
+ 
+ install-desktop:
+ 	#
--- foo2zjs-20090301dfsg.orig/debian/patches/60-hplj1000.dpatch
+++ foo2zjs-20090301dfsg/debian/patches/60-hplj1000.dpatch
@@ -0,0 +1,74 @@
+#!/bin/sh -e
+## 60-hplj1000.dpatch, by Luca Capello <luca@pca.it>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Use the same firmware folder for all HP LJ printers
+
+if [ $# -lt 1 ]; then
+echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+case "$1" in
+      -patch) patch $patch_opts -p1 < $0;;
+      -unpatch) patch $patch_opts -p1 -R < $0;;
+      *)
+      echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+      exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+--- foo2zjs-20090301dfsg.orig/hplj1000.ORG	2008-06-05 12:02:14.000000000 +0200
++++ foo2zjs-20090301dfsg.orig/hplj1000	2009-04-02 17:02:11.000000000 +0200
+@@ -77,37 +77,31 @@
+     MODEL=P1005; FWMODEL=$MODEL
+     USB1=0x03f0	#Vendor
+     USB2=0x3d17	#Model
+-    FWDIR=/usr/share/foo2xqx/firmware
+     ;;
+ *P1006)
+     MODEL=P1006; FWMODEL=$MODEL
+     USB1=0x03f0	#Vendor
+     USB2=0x3e17	#Model
+-    FWDIR=/usr/share/foo2xqx/firmware
+     ;;
+ *P1007)
+     MODEL=P1007; FWMODEL=P1005		# Alias
+     USB1=0x03f0	#Vendor
+     USB2=0x4817	#Model
+-    FWDIR=/usr/share/foo2xqx/firmware
+     ;;
+ *P1008)
+     MODEL=P1008; FWMODEL=P1006		# Alias
+     USB1=0x03f0	#Vendor
+     USB2=0x4917	#Model
+-    FWDIR=/usr/share/foo2xqx/firmware
+     ;;
+ *P1505)
+     MODEL=P1505; FWMODEL=$MODEL
+     USB1=0x03f0	#Vendor
+     USB2=0x3f17	#Model
+-    FWDIR=/usr/share/foo2xqx/firmware
+     ;;
+ *P1505n)
+     MODEL=P1505n; FWMODEL=$MODEL
+     USB1=0x03f0	#Vendor
+     USB2=0x4017	#Model
+-    FWDIR=/usr/share/foo2xqx/firmware
+     ;;
+ *1000)
+     MODEL=1000; FWMODEL=$MODEL
+@@ -207,7 +207,7 @@
+     #
+     # Sniff around for printers that need a firmware download
+     #
+-    usblps=`find /dev/usb -name lp*`" "`find /dev -name usblp*`
++    usblps=`find /dev/usb -name 'lp*'`" "`find /dev -name 'usblp*'`
+     for dev in $usblps; do
+ 	status=`$PRINTERID $dev 2>/dev/null | grep -y "hp LaserJet $MODEL"`
+ 	if [ "$status" != "" ]; then
--- foo2zjs-20090301dfsg.orig/debian/patches/90-manpages.dpatch
+++ foo2zjs-20090301dfsg/debian/patches/90-manpages.dpatch
@@ -0,0 +1,296 @@
+#!/bin/sh -e
+## 90-manpages.dpatch, by Michael Koch <konqueror@gmx.de>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Fixes errors in manpages
+
+if [ $# -lt 1 ]; then
+echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+case "$1" in
+      -patch) patch $patch_opts -p1 < $0;;
+      -unpatch) patch $patch_opts -p1 -R < $0;;
+      *)
+      echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+      exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+--- foo2zjs-20081007dfsg/Makefile.ORG	2008-11-25 22:29:53.000000000 +0100
+--- foo2zjs-20090301dfsg.orig/foo2hp.1in
++++ foo2zjs-20090301dfsg/foo2hp.1in
+@@ -195,7 +195,4 @@
+ Rick Richardson <rick.richardson@comcast.net>
+ .br
+ ${URLHP}/
+-'/"
+-'/"
+-'/"
+ .em pdf_outline
+--- foo2zjs-20090301dfsg.orig/foo2qpdl-wrapper.1in
++++ foo2zjs-20090301dfsg/foo2qpdl-wrapper.1in
+@@ -217,7 +217,4 @@
+ Rick Richardson <rick.richardson@comcast.net>
+ .br
+ ${URLQPDL}/
+-'/"
+-'/"
+-'/"
+ .em pdf_outline
+--- foo2zjs-20090301dfsg.orig/arm2hpdl.1in
++++ foo2zjs-20090301dfsg/arm2hpdl.1in
+@@ -38,7 +38,4 @@
+ Rick Richardson <rick.richardson@comcast.net>
+ .br
+ ${URLZJS}/
+-'/"
+-'/"
+-'/"
+ .em pdf_outline
+--- foo2zjs-20090301dfsg.orig/foo2hp2600-wrapper.1in
++++ foo2zjs-20090301dfsg/foo2hp2600-wrapper.1in
+@@ -230,7 +230,4 @@
+ Rick Richardson <rick.richardson@comcast.net>
+ .br
+ ${URLHP}/
+-'/"
+-'/"
+-'/"
+ .em pdf_outline
+--- foo2zjs-20090301dfsg.orig/hipercdecode.1in
++++ foo2zjs-20090301dfsg/hipercdecode.1in
+@@ -162,7 +162,4 @@
+ Rick Richardson <rick.richardson@comcast.net>
+ .br
+ ${URLHC}/
+-'/"
+-'/"
+-'/"
+ .em pdf_outline
+--- foo2zjs-20090301dfsg.orig/foo2hiperc-wrapper.1in
++++ foo2zjs-20090301dfsg/foo2hiperc-wrapper.1in
+@@ -205,7 +205,4 @@
+ Rick Richardson <rick.richardson@comcast.net>
+ .br
+ ${URLHC}/
+-'/"
+-'/"
+-'/"
+ .em pdf_outline
+--- foo2zjs-20090301dfsg.orig/foo2xqx.1in
++++ foo2zjs-20090301dfsg/foo2xqx.1in
+@@ -152,7 +152,4 @@
+ Rick Richardson <rick.richardson@comcast.net>
+ .br
+ ${URLXQX}/
+-'/"
+-'/"
+-'/"
+ .em pdf_outline
+--- foo2zjs-20090301dfsg.orig/qpdldecode.1in
++++ foo2zjs-20090301dfsg/qpdldecode.1in
+@@ -126,7 +126,4 @@
+ Rick Richardson <rick.richardson@comcast.net>
+ .br
+ ${URLQPDL}/
+-'/"
+-'/"
+-'/"
+ .em pdf_outline
+--- foo2zjs-20090301dfsg.orig/usb_printerid.1in
++++ foo2zjs-20090301dfsg/usb_printerid.1in
+@@ -44,7 +44,4 @@
+ Rick Richardson <rick.richardson@comcast.net>
+ .br
+ ${URLZJS}/
+-'/"
+-'/"
+-'/"
+ .em pdf_outline
+--- foo2zjs-20090301dfsg.orig/foo2hiperc.1in
++++ foo2zjs-20090301dfsg/foo2hiperc.1in
+@@ -173,7 +173,4 @@
+ Rick Richardson <rick.richardson@comcast.com>
+ .br
+ ${URLHC}/
+-'/"
+-'/"
+-'/"
+ .em pdf_outline
+--- foo2zjs-20090301dfsg.orig/oakdecode.1in
++++ foo2zjs-20090301dfsg/oakdecode.1in
+@@ -92,7 +92,4 @@
+ Rick Richardson <rick.richardson@comcast.net>
+ .br
+ ${URLOAK}/
+-'/"
+-'/"
+-'/"
+ .em pdf_outline
+--- foo2zjs-20090301dfsg.orig/foo2oak.1in
++++ foo2zjs-20090301dfsg/foo2oak.1in
+@@ -182,7 +182,4 @@
+ Rick Richardson <rick.richardson@comcast.net>
+ .br
+ ${URLOAK}/
+-'/"
+-'/"
+-'/"
+ .em pdf_outline
+--- foo2zjs-20090301dfsg.orig/zjsdecode.1in
++++ foo2zjs-20090301dfsg/zjsdecode.1in
+@@ -99,7 +99,4 @@
+ Rick Richardson <rick.richardson@comcast.net>
+ .br
+ ${URLZJS}/
+-'/"
+-'/"
+-'/"
+ .em pdf_outline
+--- foo2zjs-20090301dfsg.orig/foo2zjs-pstops.1in
++++ foo2zjs-20090301dfsg/foo2zjs-pstops.1in
+@@ -45,7 +45,4 @@
+ Rick Richardson <rick.richardson@comcast.net>
+ .br
+ ${URLZJS}/
+-'/"
+-'/"
+-'/"
+ .em pdf_outline
+--- foo2zjs-20090301dfsg.orig/foo2zjs.1in
++++ foo2zjs-20090301dfsg/foo2zjs.1in
+@@ -186,7 +186,4 @@
+ Rick Richardson <rick.richardson@comcast.net>
+ .br
+ ${URLZJS}/
+-'/"
+-'/"
+-'/"
+ .em pdf_outline
+--- foo2zjs-20090301dfsg.orig/foo2qpdl.1in
++++ foo2zjs-20090301dfsg/foo2qpdl.1in
+@@ -184,7 +184,4 @@
+ Rick Richardson <rick.richardson@comcast.com>
+ .br
+ ${URLQPDL}/
+-'/"
+-'/"
+-'/"
+ .em pdf_outline
+--- foo2zjs-20090301dfsg.orig/foo2oak-wrapper.1in
++++ foo2zjs-20090301dfsg/foo2oak-wrapper.1in
+@@ -214,7 +214,4 @@
+ Rick Richardson <rick.richardson@comcast.net>
+ .br
+ ${URLOAK}/
+-'/"
+-'/"
+-'/"
+ .em pdf_outline
+--- foo2zjs-20090301dfsg.orig/foo2zjs-wrapper.1in
++++ foo2zjs-20090301dfsg/foo2zjs-wrapper.1in
+@@ -224,7 +224,4 @@
+ Rick Richardson <rick.richardson@comcast.net>
+ .br
+ ${URLZJS}/
+-'/"
+-'/"
+-'/"
+ .em pdf_outline
+--- foo2zjs-20090301dfsg.orig/xqxdecode.1in
++++ foo2zjs-20090301dfsg/xqxdecode.1in
+@@ -105,7 +105,4 @@
+ Rick Richardson <rick.richardson@comcast.net>
+ .br
+ ${URLXQX}/
+-'/"
+-'/"
+-'/"
+ .em pdf_outline
+--- foo2zjs-20090301dfsg.orig/foo2slx-wrapper.1in
++++ foo2zjs-20090301dfsg/foo2slx-wrapper.1in
+@@ -190,7 +190,4 @@
+ Rick Richardson <rick.richardson@comcast.net>
+ .br
+ ${URLSLX}/
+-'/"
+-'/"
+-'/"
+ .em pdf_outline
+--- foo2zjs-20090301dfsg.orig/foo2xqx-wrapper.1in
++++ foo2zjs-20090301dfsg/foo2xqx-wrapper.1in
+@@ -153,7 +153,4 @@
+ Rick Richardson <rick.richardson@comcast.net>
+ .br
+ ${URLXQX}/
+-'/"
+-'/"
+-'/"
+ .em pdf_outline
+--- foo2zjs-20090301dfsg.orig/foo2lava-wrapper.1in
++++ foo2zjs-20090301dfsg/foo2lava-wrapper.1in
+@@ -216,7 +216,4 @@
+ Rick Richardson <rick.richardson@comcast.net>
+ .br
+ ${URLZJS}/
+-'/"
+-'/"
+-'/"
+ .em pdf_outline
+--- foo2zjs-20090301dfsg.orig/foo2slx.1in
++++ foo2zjs-20090301dfsg/foo2slx.1in
+@@ -157,7 +157,4 @@
+ Rick Richardson <rick.richardson@comcast.net>
+ .br
+ ${URLSLX}/
+-'/"
+-'/"
+-'/"
+ .em pdf_outline
+--- foo2zjs-20090301dfsg.orig/foo2lava.1in
++++ foo2zjs-20090301dfsg/foo2lava.1in
+@@ -177,7 +177,4 @@
+ Rick Richardson <rick.richardson@comcast.com>
+ .br
+ ${URLZJS}/
+-'/"
+-'/"
+-'/"
+ .em pdf_outline
+--- foo2zjs-20090301dfsg.orig/slxdecode.1in
++++ foo2zjs-20090301dfsg/slxdecode.1in
+@@ -103,7 +103,4 @@
+ Rick Richardson <rick.richardson@comcast.net>
+ .br
+ ${URLSLX}/
+-'/"
+-'/"
+-'/"
+ .em pdf_outline
+--- foo2zjs-20090301dfsg.orig/lavadecode.1in
++++ foo2zjs-20090301dfsg/lavadecode.1in
+@@ -96,7 +96,4 @@
+ Rick Richardson <rick.richardson@comcast.net>
+ .br
+ ${URLLAVA}/
+-'/"
+-'/"
+-'/"
+ .em pdf_outline
+--- foo2zjs-20090301dfsg.orig/opldecode.1in
++++ foo2zjs-20090301dfsg/opldecode.1in
+@@ -115,7 +115,4 @@
+ Rick Richardson <rick.richardson@comcast.net>
+ .br
+ ${URLRO}/
+-'/"
+-'/"
+-'/"
+ .em pdf_outline
--- foo2zjs-20090301dfsg.orig/debian/patches/00list
+++ foo2zjs-20090301dfsg/debian/patches/00list
@@ -0,0 +1,9 @@
+10-makefile
+20-honour-papersize
+30-udev-rules
+40-desktop-encoding-correction
+40-path-correction
+60-getweb.in.dpatch
+60-hplj1000.dpatch
+80-getweb.in.dpatch
+90-manpages.dpatch
--- foo2zjs-20090301dfsg.orig/debian/patches/20-honour-papersize.dpatch
+++ foo2zjs-20090301dfsg/debian/patches/20-honour-papersize.dpatch
@@ -0,0 +1,63 @@
+#!/bin/sh -e
+## 20-honour-papersize.dpatch, by Finn-Arne Johansen <faj@bzz.no>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Patched to support /etc/papersize   
+
+if [ $# -lt 1 ]; then
+echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+case "$1" in
+      -patch) patch $patch_opts -p1 < $0;;
+      -unpatch) patch $patch_opts -p1 -R < $0;;
+      *)
+      echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+      exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+--- foo2zjs.clean/foo2hp2600-wrapper.in	2005-11-26 23:04:38.000000000 +0100
++++ foo2zjs-20070624/foo2hp2600-wrapper.in	2005-11-26 23:16:26.000000000 +0100
+@@ -155,7 +155,8 @@
+ 
+ MEDIA=1
+ COPIES=1
+-PAPER=1
++test -r /etc/papersize && PAPER=$(cat /etc/papersize)
++test "$PAPER" || PAPER=1
+ RES=600x600
+ SOURCE=7
+ NUP=
+diff -ru ../foo2zjs.clean/foo2oak-wrapper.in ./foo2oak-wrapper.in
+--- ../foo2zjs.clean/foo2oak-wrapper.in	2005-11-26 23:04:38.000000000 +0100
++++ ./foo2oak-wrapper.in	2005-11-26 23:15:13.000000000 +0100
+@@ -122,7 +122,8 @@
+ QUALITY=1
+ MEDIA=1
+ COPIES=1
+-PAPER=1
++test -r /etc/papersize && PAPER=$(cat /etc/papersize)
++test "$PAPER" || PAPER=1
+ RES=600x600
+ SOURCE=7
+ NUP=
+diff -ru ../foo2zjs.clean/foo2zjs-wrapper.in ./foo2zjs-wrapper.in
+--- ../foo2zjs.clean/foo2zjs-wrapper.in	2005-11-26 23:04:38.000000000 +0100
++++ ./foo2zjs-wrapper.in	2005-11-26 23:16:28.000000000 +0100
+@@ -160,7 +160,8 @@
+ QUALITY=1
+ MEDIA=1
+ COPIES=1
+-PAPER=1
++test -r /etc/papersize && PAPER=$(cat /etc/papersize)
++test "$PAPER" || PAPER=1
+ RES=1200x600
+ SOURCE=7
+ NUP=
--- foo2zjs-20090301dfsg.orig/debian/patches/50-fix-grotty-warnings.dpatch
+++ foo2zjs-20090301dfsg/debian/patches/50-fix-grotty-warnings.dpatch
@@ -0,0 +1,195 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 50-fix-grotty-warnings.dpatch by  <sam@tycho.robots.org.uk>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Prevent grotty from bleating "X command with `tty:' tag ignored"
+## DP: warnings.
+
+@DPATCH@
+diff -urNad foo2zjs-20070601~/foo2hp.1in foo2zjs-20070601/foo2hp.1in
+--- foo2zjs-20070601~/foo2hp.1in	2007-03-08 14:57:44.000000000 +0000
++++ foo2zjs-20070601/foo2hp.1in	2007-06-05 19:21:04.000000000 +0100
+@@ -81,7 +81,6 @@
+ '\"	Macros for doing pdfmarks
+ '\"
+ .de specialps
+-\\k_\X'ps: \\$*'\h'|\\n_u'\c
+ ..
+ '\"
+ '\" pdfmark PDFMARKCODE
+diff -urNad foo2zjs-20070601~/foo2hp2600-wrapper.1in foo2zjs-20070601/foo2hp2600-wrapper.1in
+--- foo2zjs-20070601~/foo2hp2600-wrapper.1in	2007-03-08 14:58:43.000000000 +0000
++++ foo2zjs-20070601/foo2hp2600-wrapper.1in	2007-06-05 19:21:09.000000000 +0100
+@@ -81,7 +81,6 @@
+ '\"	Macros for doing pdfmarks
+ '\"
+ .de specialps
+-\\k_\X'ps: \\$*'\h'|\\n_u'\c
+ ..
+ '\"
+ '\" pdfmark PDFMARKCODE
+diff -urNad foo2zjs-20070601~/foo2lava-wrapper.1in foo2zjs-20070601/foo2lava-wrapper.1in
+--- foo2zjs-20070601~/foo2lava-wrapper.1in	2007-03-08 14:59:14.000000000 +0000
++++ foo2zjs-20070601/foo2lava-wrapper.1in	2007-06-05 19:21:19.000000000 +0100
+@@ -81,7 +81,6 @@
+ '\"	Macros for doing pdfmarks
+ '\"
+ .de specialps
+-\\k_\X'ps: \\$*'\h'|\\n_u'\c
+ ..
+ '\"
+ '\" pdfmark PDFMARKCODE
+diff -urNad foo2zjs-20070601~/foo2lava.1in foo2zjs-20070601/foo2lava.1in
+--- foo2zjs-20070601~/foo2lava.1in	2007-03-08 14:59:01.000000000 +0000
++++ foo2zjs-20070601/foo2lava.1in	2007-06-05 19:21:15.000000000 +0100
+@@ -81,7 +81,6 @@
+ '\"	Macros for doing pdfmarks
+ '\"
+ .de specialps
+-\\k_\X'ps: \\$*'\h'|\\n_u'\c
+ ..
+ '\"
+ '\" pdfmark PDFMARKCODE
+diff -urNad foo2zjs-20070601~/foo2oak-wrapper.1in foo2zjs-20070601/foo2oak-wrapper.1in
+--- foo2zjs-20070601~/foo2oak-wrapper.1in	2007-03-08 14:59:37.000000000 +0000
++++ foo2zjs-20070601/foo2oak-wrapper.1in	2007-06-05 19:21:26.000000000 +0100
+@@ -81,7 +81,6 @@
+ '\"	Macros for doing pdfmarks
+ '\"
+ .de specialps
+-\\k_\X'ps: \\$*'\h'|\\n_u'\c
+ ..
+ '\"
+ '\" pdfmark PDFMARKCODE
+diff -urNad foo2zjs-20070601~/foo2oak.1in foo2zjs-20070601/foo2oak.1in
+--- foo2zjs-20070601~/foo2oak.1in	2007-03-08 14:59:28.000000000 +0000
++++ foo2zjs-20070601/foo2oak.1in	2007-06-05 19:21:23.000000000 +0100
+@@ -81,7 +81,6 @@
+ '\"	Macros for doing pdfmarks
+ '\"
+ .de specialps
+-\\k_\X'ps: \\$*'\h'|\\n_u'\c
+ ..
+ '\"
+ '\" pdfmark PDFMARKCODE
+diff -urNad foo2zjs-20070601~/foo2qpdl-wrapper.1in foo2zjs-20070601/foo2qpdl-wrapper.1in
+--- foo2zjs-20070601~/foo2qpdl-wrapper.1in	2007-03-08 15:00:05.000000000 +0000
++++ foo2zjs-20070601/foo2qpdl-wrapper.1in	2007-06-05 19:21:34.000000000 +0100
+@@ -81,7 +81,6 @@
+ '\"	Macros for doing pdfmarks
+ '\"
+ .de specialps
+-\\k_\X'ps: \\$*'\h'|\\n_u'\c
+ ..
+ '\"
+ '\" pdfmark PDFMARKCODE
+diff -urNad foo2zjs-20070601~/foo2qpdl.1in foo2zjs-20070601/foo2qpdl.1in
+--- foo2zjs-20070601~/foo2qpdl.1in	2007-03-08 14:59:47.000000000 +0000
++++ foo2zjs-20070601/foo2qpdl.1in	2007-06-05 19:21:30.000000000 +0100
+@@ -81,7 +81,6 @@
+ '\"	Macros for doing pdfmarks
+ '\"
+ .de specialps
+-\\k_\X'ps: \\$*'\h'|\\n_u'\c
+ ..
+ '\"
+ '\" pdfmark PDFMARKCODE
+diff -urNad foo2zjs-20070601~/foo2xqx-wrapper.1in foo2zjs-20070601/foo2xqx-wrapper.1in
+--- foo2zjs-20070601~/foo2xqx-wrapper.1in	2007-03-08 15:00:31.000000000 +0000
++++ foo2zjs-20070601/foo2xqx-wrapper.1in	2007-06-05 19:21:40.000000000 +0100
+@@ -81,7 +81,6 @@
+ '\"	Macros for doing pdfmarks
+ '\"
+ .de specialps
+-\\k_\X'ps: \\$*'\h'|\\n_u'\c
+ ..
+ '\"
+ '\" pdfmark PDFMARKCODE
+diff -urNad foo2zjs-20070601~/foo2xqx.1in foo2zjs-20070601/foo2xqx.1in
+--- foo2zjs-20070601~/foo2xqx.1in	2007-03-08 15:00:13.000000000 +0000
++++ foo2zjs-20070601/foo2xqx.1in	2007-06-05 19:21:38.000000000 +0100
+@@ -81,7 +81,6 @@
+ '\"	Macros for doing pdfmarks
+ '\"
+ .de specialps
+-\\k_\X'ps: \\$*'\h'|\\n_u'\c
+ ..
+ '\"
+ '\" pdfmark PDFMARKCODE
+diff -urNad foo2zjs-20070601~/foo2zjs-wrapper.1in foo2zjs-20070601/foo2zjs-wrapper.1in
+--- foo2zjs-20070601~/foo2zjs-wrapper.1in	2007-03-08 14:56:41.000000000 +0000
++++ foo2zjs-20070601/foo2zjs-wrapper.1in	2007-06-05 19:21:47.000000000 +0100
+@@ -81,7 +81,6 @@
+ '\"	Macros for doing pdfmarks
+ '\"
+ .de specialps
+-\\k_\X'ps: \\$*'\h'|\\n_u'\c
+ ..
+ '\"
+ '\" pdfmark PDFMARKCODE
+diff -urNad foo2zjs-20070601~/foo2zjs.1in foo2zjs-20070601/foo2zjs.1in
+--- foo2zjs-20070601~/foo2zjs.1in	2007-03-08 15:00:50.000000000 +0000
++++ foo2zjs-20070601/foo2zjs.1in	2007-06-05 19:21:44.000000000 +0100
+@@ -81,7 +81,6 @@
+ '\"	Macros for doing pdfmarks
+ '\"
+ .de specialps
+-\\k_\X'ps: \\$*'\h'|\\n_u'\c
+ ..
+ '\"
+ '\" pdfmark PDFMARKCODE
+diff -urNad foo2zjs-20070601~/lavadecode.1in foo2zjs-20070601/lavadecode.1in
+--- foo2zjs-20070601~/lavadecode.1in	2007-03-08 15:01:12.000000000 +0000
++++ foo2zjs-20070601/lavadecode.1in	2007-06-05 19:21:50.000000000 +0100
+@@ -81,7 +81,6 @@
+ '\"	Macros for doing pdfmarks
+ '\"
+ .de specialps
+-\\k_\X'ps: \\$*'\h'|\\n_u'\c
+ ..
+ '\"
+ '\" pdfmark PDFMARKCODE
+diff -urNad foo2zjs-20070601~/oakdecode.1in foo2zjs-20070601/oakdecode.1in
+--- foo2zjs-20070601~/oakdecode.1in	2007-03-08 15:01:23.000000000 +0000
++++ foo2zjs-20070601/oakdecode.1in	2007-06-05 19:21:54.000000000 +0100
+@@ -81,7 +81,6 @@
+ '\"	Macros for doing pdfmarks
+ '\"
+ .de specialps
+-\\k_\X'ps: \\$*'\h'|\\n_u'\c
+ ..
+ '\"
+ '\" pdfmark PDFMARKCODE
+diff -urNad foo2zjs-20070601~/qpdldecode.1in foo2zjs-20070601/qpdldecode.1in
+--- foo2zjs-20070601~/qpdldecode.1in	2007-03-08 15:01:38.000000000 +0000
++++ foo2zjs-20070601/qpdldecode.1in	2007-06-05 19:21:57.000000000 +0100
+@@ -81,7 +81,6 @@
+ '\"	Macros for doing pdfmarks
+ '\"
+ .de specialps
+-\\k_\X'ps: \\$*'\h'|\\n_u'\c
+ ..
+ '\"
+ '\" pdfmark PDFMARKCODE
+diff -urNad foo2zjs-20070601~/xqxdecode.1in foo2zjs-20070601/xqxdecode.1in
+--- foo2zjs-20070601~/xqxdecode.1in	2007-03-08 15:01:51.000000000 +0000
++++ foo2zjs-20070601/xqxdecode.1in	2007-06-05 19:22:00.000000000 +0100
+@@ -81,7 +81,6 @@
+ '\"	Macros for doing pdfmarks
+ '\"
+ .de specialps
+-\\k_\X'ps: \\$*'\h'|\\n_u'\c
+ ..
+ '\"
+ '\" pdfmark PDFMARKCODE
+diff -urNad foo2zjs-20070601~/zjsdecode.1in foo2zjs-20070601/zjsdecode.1in
+--- foo2zjs-20070601~/zjsdecode.1in	2007-03-08 15:02:03.000000000 +0000
++++ foo2zjs-20070601/zjsdecode.1in	2007-06-05 19:22:03.000000000 +0100
+@@ -81,7 +81,6 @@
+ '\"	Macros for doing pdfmarks
+ '\"
+ .de specialps
+-\\k_\X'ps: \\$*'\h'|\\n_u'\c
+ ..
+ '\"
+ '\" pdfmark PDFMARKCODE
--- foo2zjs-20090301dfsg.orig/debian/patches/60-getweb.in.dpatch
+++ foo2zjs-20090301dfsg/debian/patches/60-getweb.in.dpatch
@@ -0,0 +1,121 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 60-getweb.dpatch by Debian FOO2ZJS Maintainers
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Improve getweb also for installing the firmware
+
+@DPATCH@
+--- foo2zjs-20090301dfsg.orig/getweb.in.ORG	2009-04-02 16:01:37.000000000 +0200
++++ foo2zjs-20090301dfsg.orig/getweb.in	2009-04-02 16:02:55.000000000 +0200
+@@ -2,7 +2,7 @@
+ 
+ #
+ # (c) Copyright Rick Richardson 2008
+-#
++# This version has been modified by Debian
+ 
+ #
+ # PLEASE don't remove the copyright statements.  They should 
+@@ -12,6 +12,13 @@
+ VERSION='$Id: getweb.in,v 1.82 2008/12/31 07:14:19 rick Exp $'
+ 
+ WGETOPTS="--passive-ftp -q"
++ARM2HPDL="/usr/bin/arm2hpdl"
++
++if [ $(id -ru) -ne 0 ]; then
++    echo "You need to be root"
++    exit 1
++fi
++
+ 
+ usage() {
+ cat <<EOF
+@@ -89,7 +96,7 @@
+ }
+ 
+ SYSTEM=`uname -s`
+-WGET=`type wget 2>/dev/null`
++WGET=`which wget`
+ if [ "$SYSTEM" = Darwin -a "$WGET" = "" ]
+ then
+     WGETOPTS=
+@@ -99,6 +106,13 @@
+     }
+ fi
+ 
++putfw() {
++    inputname=$1
++    outputname=$2
++    $ARM2HPDL /usr/share/foo2zjs/tmp/$inputname > /usr/share/foo2zjs/firmware/$outputname
++    rm -f /usr/share/foo2zjs/tmp/*.img
++}
++
+ #
+ #	Download a .EXE file from the web, unzip it, and extract the
+ #	files we want
+@@ -121,10 +135,16 @@
+     file="$2"
+     what="$3"
+     
+-    wget $WGETOPTS -O $file "$url/$file" ||
+-	error "Couldn't download $url/$file"
+-    gunzip <$file | tar xvf - $what
+-    rm $file
++    if ! [ -d /tmp/foo2zjs ] ; then
++	wget $WGETOPTS -O /usr/share/foo2zjs/tmp/$file "$url/$file" ||
++            error "Couldn't download $url/$file"
++	cd /usr/share/foo2zjs/tmp && gunzip </usr/share/foo2zjs/tmp/$file | tar xvf - $what
++	CHECK=`ls /usr/share/foo2zjs/tmp/*.icm 2>/dev/null`
++	if [ -n "$CHECK" ] ; then
++            mv /usr/share/foo2zjs/tmp/*.icm /usr/share/foo2zjs/icm/
++	fi
++	rm /usr/share/foo2zjs/tmp/$file
++    fi
+ }
+ 
+ copyright() {
+@@ -145,6 +165,7 @@
+ 	    #lj1488en.exe \
+ 	    #sihp1000.img
+ 	copyright "(c) Copyright Hewlett-Packard 2001"
++	putfw sihp1000.img sihp1000.dl
+ 	;;
+     lj1005|1005)
+ 	gettgz \
+@@ -156,24 +177,28 @@
+ 	    #lj1005hostbased-en.exe \
+ 	    #sihp1005.img
+ 	copyright "(c) Copyright Hewlett-Packard 2002"
++	putfw sihp1005.img sihp1005.dl
+ 	;;
+     lj1018|1018)
+ 	gettgz \
+ 	    http://foo2zjs.rkkda.com/firmware sihp1018.tar.gz \
+ 	    ""
+ 	copyright "(c) Copyright Hewlett-Packard 2005"
++	putfw sihp1018.img sihp1018.dl
+ 	;;
+     lj1020|1020)
+ 	gettgz \
+ 	    http://foo2zjs.rkkda.com/firmware sihp1020.tar.gz \
+ 	    ""
+ 	copyright "(c) Copyright Hewlett-Packard 2005"
++	putfw sihp1020.img sihp1020.dl
+ 	;;
+     [pP]100[57])
+ 	gettgz \
+ 	    http://foo2zjs.rkkda.com/firmware sihpP1005.tar.gz \
+ 	    ""
+ 	copyright "(c) Copyright Hewlett-Packard 2008"
++	putfw sihpP1005.img sihpP1005.dl
+ 	;;
+     [pP]100[68])
+ 	gettgz \
+@@ -192,6 +217,7 @@
+ 	    ftp://ftp.minolta-qms.com/pub/crc/out_going/win2000 m22dlicc.exe \
+ 	    "*.icm"
+ 	copyright "(c) Copyright Minolta-QMS 1999"
++	putfw sihp1020.img sihp1020.dl
+ 	;;
+     2300dl|2300)
+ 	getexe \
--- foo2zjs-20090301dfsg.orig/debian/patches/40-desktop-encoding-correction.dpatch
+++ foo2zjs-20090301dfsg/debian/patches/40-desktop-encoding-correction.dpatch
@@ -0,0 +1,33 @@
+#!/bin/sh -e
+## 40-encoding-correction.dpatch by Luca Capello <luca@pca.it>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Remove the now useless Encoding key
+
+if [ $# -lt 1 ]; then
+echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+case "$1" in
+      -patch) patch $patch_opts -p1 < $0;;
+      -unpatch) patch $patch_opts -p1 -R < $0;;
+      *)
+      echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+      exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+--- foo2zjs-20081007dfsg/hplj1020.desktop.ORG	2008-10-18 01:20:33.000000000 +0200
++++ foo2zjs-20081007dfsg/hplj1020.desktop	2008-10-18 02:26:13.000000000 +0200
+@@ -1,5 +1,4 @@
+ [Desktop Entry]
+-Encoding=UTF-8
+ Name=HPLJ 10xx Replaced Paper
+ Comment=HP LaserJet 1018, 1020
+ zExec=usb_printerid /dev/usb/lp0
--- foo2zjs-20090301dfsg.orig/debian/patches/30-udev-rules.dpatch
+++ foo2zjs-20090301dfsg/debian/patches/30-udev-rules.dpatch
@@ -0,0 +1,75 @@
+#!/bin/sh -e
+## 30-udev-rules.dpatch, by Debian Foo2ZJS Maintainers <foo2zjs-maintainer@lists.alioth.debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Correct the udev rules
+
+if [ $# -lt 1 ]; then
+echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+case "$1" in
+      -patch) patch $patch_opts -p1 < $0;;
+      -unpatch) patch $patch_opts -p1 -R < $0;;
+      *)
+      echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+      exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+--- foo2zjs-20081007dfsg/hplj10xx.rules.ORG	2008-10-17 15:40:55.000000000 +0200
++++ foo2zjs-20081007dfsg/hplj10xx.rules	2008-10-17 15:44:52.000000000 +0200
+@@ -1,36 +1,36 @@
+ #Own udev rule for HP Laserjet 1000
+ KERNEL=="lp*", BUS=="usb", SYSFS{idVendor}=="03f0", \
+-	SYSFS{product}=="hp LaserJet 1000", NAME="usb/%k", \
+-	SYMLINK+="hplj1000-%n", MODE="0666", RUN+="/etc/hotplug/usb/hplj1000" 
++	SYSFS{product}=="hp LaserJet 1000", NAME="usb/%k", \
++	SYMLINK+="hplj1000-%n", MODE="0666", RUN+="/usr/sbin/hplj1000" 
+ #Own udev rule for HP Laserjet 1005
+ KERNEL=="lp*", BUS=="usb", SYSFS{idVendor}=="03f0", \
+-	SYSFS{product}=="hp LaserJet 1005 series", NAME="usb/%k", \
+-	SYMLINK+="hplj1005-%n", MODE="0666", RUN+="/etc/hotplug/usb/hplj1005" 
++	SYSFS{product}=="hp LaserJet 1005 series", NAME="usb/%k", \
++	SYMLINK+="hplj1005-%n", MODE="0666", RUN+="/usr/sbin/hplj1005" 
+ #Own udev rule for HP Laserjet 1018
+ KERNEL=="lp*", BUS=="usb", SYSFS{idVendor}=="03f0", \
+ 	SYSFS{product}=="HP LaserJet 1018", NAME="usb/%k", \
+-	SYMLINK+="hplj1018-%n", MODE="0666", RUN+="/etc/hotplug/usb/hplj1018" 
++	SYMLINK+="hplj1018-%n", MODE="0666", RUN+="/usr/sbin/hplj1018" 
+ #Own udev rule for HP Laserjet 1020
+ KERNEL=="lp*", BUS=="usb", SYSFS{idVendor}=="03f0", \
+ 	SYSFS{product}=="HP LaserJet 1020", NAME="usb/%k", \
+-	SYMLINK+="hplj1020-%n", MODE="0666", RUN+="/etc/hotplug/usb/hplj1020" 
++	SYMLINK+="hplj1020-%n", MODE="0666", RUN+="/usr/sbin/hplj1020" 
+ #Own udev rule for HP Laserjet P1005
+ KERNEL=="lp*", BUS=="usb", SYSFS{idVendor}=="03f0", \
+ 	SYSFS{product}=="HP LaserJet P1005", NAME="usb/%k", \
+-	SYMLINK+="hpljP1005-%n", MODE="0666", RUN+="/etc/hotplug/usb/hpljP1005" 
++	SYMLINK+="hpljP1005-%n", MODE="0666", RUN+="/usr/sbin/hpljP1005" 
+ #Own udev rule for HP Laserjet P1006
+ KERNEL=="lp*", BUS=="usb", SYSFS{idVendor}=="03f0", \
+ 	SYSFS{product}=="HP LaserJet P1006", NAME="usb/%k", \
+-	SYMLINK+="hpljP1006-%n", MODE="0666", RUN+="/etc/hotplug/usb/hpljP1006" 
++	SYMLINK+="hpljP1006-%n", MODE="0666", RUN+="/usr/sbin/hpljP1006" 
+ #Own udev rule for HP Laserjet P1007
+ KERNEL=="lp*", BUS=="usb", SYSFS{idVendor}=="03f0", \
+ 	SYSFS{product}=="HP LaserJet P1007", NAME="usb/%k", \
+-	SYMLINK+="hpljP1007-%n", MODE="0666", RUN+="/etc/hotplug/usb/hpljP1007" 
++	SYMLINK+="hpljP1007-%n", MODE="0666", RUN+="/usr/sbin/hpljP1007" 
+ #Own udev rule for HP Laserjet P1008
+ KERNEL=="lp*", BUS=="usb", SYSFS{idVendor}=="03f0", \
+ 	SYSFS{product}=="HP LaserJet P1008", NAME="usb/%k", \
+-	SYMLINK+="hpljP1008-%n", MODE="0666", RUN+="/etc/hotplug/usb/hpljP1008" 
++	SYMLINK+="hpljP1008-%n", MODE="0666", RUN+="/usr/sbin/hpljP1008" 
+ #Own udev rule for HP Laserjet P1505
+ KERNEL=="lp*", BUS=="usb", SYSFS{idVendor}=="03f0", \
+ 	SYSFS{product}=="HP LaserJet P1505", NAME="usb/%k", \
+-	SYMLINK+="hpljP1505-%n", MODE="0666", RUN+="/etc/hotplug/usb/hpljP1505" 
++	SYMLINK+="hpljP1505-%n", MODE="0666", RUN+="/usr/sbin/hpljP1505" 
--- foo2zjs-20090301dfsg.orig/debian/patches/40-path-correction.dpatch
+++ foo2zjs-20090301dfsg/debian/patches/40-path-correction.dpatch
@@ -0,0 +1,37 @@
+#!/bin/sh -e
+## 40-path-correction.dpatch, by Steffen Joeris <steffen.joeris@skolelinux.de>
+## and Luca Capello <luca@pca.it>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Correct the path for the usb_printerid program
+
+if [ $# -lt 1 ]; then
+echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+case "$1" in
+      -patch) patch $patch_opts -p1 < $0;;
+      -unpatch) patch $patch_opts -p1 -R < $0;;
+      *)
+      echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+      exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+--- foo2zjs-20081007dfsg/hplj1000.ORG	2008-10-17 15:52:29.000000000 +0200
++++ foo2zjs-20081007dfsg/hplj1000	2008-10-17 15:52:47.000000000 +0200
+@@ -47,7 +47,7 @@
+ #    [snip]
+ #    # Mount all other filesystems (except for NFS and /proc, which is already
+ #
+-PRINTERID=/bin/usb_printerid
++PRINTERID=`which usb_printerid`
+ 
+ #
+ #	Figure out how to log our messages
--- foo2zjs-20090301dfsg.orig/debian/patches/80-getweb.in.dpatch
+++ foo2zjs-20090301dfsg/debian/patches/80-getweb.in.dpatch
@@ -0,0 +1,18 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 80-getweb.in.dpatch by Chris Lamb <chris@chris-lamb.co.uk>
+
+## DP: Fix bashism
+
+@DPATCH@
+diff -urNad foo2zjs-20070718dfsg.orig/getweb.in foo2zjs-20070718dfsg/getweb.in
+--- foo2zjs-20070718dfsg.orig/getweb.in	2008-05-04 00:13:37.000000000 +0100
++++ foo2zjs-20070718dfsg/getweb.in	2008-05-04 00:14:25.000000000 +0100
+@@ -236,7 +236,7 @@
+ 	tar zxf $HERE/$file
+ 	cd $HERE
+ 	echo "The tarball is extracted and the current directory is up to date."
+-	echo -e "Remove the tarball (y/n)? \c"
++	printf "Remove the tarball (y/n)? "
+ 	read ans
+ 	if [ "$ans" = y ]; then
+ 	    rm -f $file
